diff --git python-jsonrpclib/python-jsonrpclib.spec python-jsonrpclib/python-jsonrpclib.spec.tmp
index 5bfa10d5b9..5c9de4927e 100644
--- python-jsonrpclib/python-jsonrpclib.spec
+++ python-jsonrpclib/python-jsonrpclib.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{srcname}
 Version:        0.1.7
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        JSON-RPC v2.0 client library for Python
 
 License:        ASL 2.0
@@ -13,11 +13,19 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-This project is an implementation of the JSON-RPC v2.0 specification
-(backwards-compatible) as a client library.
+%global _description\
+This project is an implementation of the JSON-RPC v2.0 specification\
+(backwards-compatible) as a client library.\
 
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 
@@ -30,7 +38,7 @@ This project is an implementation of the JSON-RPC v2.0 specification
 %{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-%{srcname}
 %license LICENSE.txt
 %doc README.md
 %{python2_sitelib}/%{srcname}
@@ -38,6 +46,10 @@ This project is an implementation of the JSON-RPC v2.0 specification
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.7-5
+- Python 2 subpackage renamed to python2-jsonrpclib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-junitxml/python-junitxml.spec python-junitxml/python-junitxml.spec.tmp
index 13fa50fabb..74706e20d6 100644
--- python-junitxml/python-junitxml.spec
+++ python-junitxml/python-junitxml.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.7
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        PyJUnitXML, a pyunit extension to output JUnit compatible XML
 
 License:        LGPLv3
@@ -24,12 +24,20 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 
 
-%description
-PyJUnitXML
-==========
-A Python unittest TestResult that outputs JUnit
+%global _description\
+PyJUnitXML\
+==========\
+A Python unittest TestResult that outputs JUnit\
 compatible XML.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary: PyJUnitXML, a pyunit extension to output JUnit compatible XML
@@ -72,7 +80,7 @@ mv %{buildroot}%{_bindir}/pyjunitxml %{buildroot}%{_bindir}/pyjunitxml-%{python2
 ln -s ./pyjunitxml-%{python2_version} %{buildroot}%{_bindir}/pyjunitxml-2
 ln -s ./pyjunitxml-2 %{buildroot}%{_bindir}/pyjunitxml
 
-%files
+%files -n python2-%{pypi_name}
 %doc COPYING
 %{_bindir}/pyjunitxml
 %{_bindir}/pyjunitxml-2
@@ -89,6 +97,10 @@ ln -s ./pyjunitxml-2 %{buildroot}%{_bindir}/pyjunitxml
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7-12
+- Python 2 subpackage renamed to python2-junitxml
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-jwcrypto/python-jwcrypto.spec python-jwcrypto/python-jwcrypto.spec.tmp
index 13b8937033..54817f3618 100644
--- python-jwcrypto/python-jwcrypto.spec
+++ python-jwcrypto/python-jwcrypto.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-jwcrypto
 Version:        0.4.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Implements JWK,JWS,JWE specifications using python-cryptography
 
 License:        LGPLv3+
@@ -18,7 +18,6 @@ BuildRequires:  python2-devel
 BuildRequires:  python2-setuptools
 BuildRequires:  python2-cryptography
 BuildRequires:  python2-pytest
-Requires:       python2-cryptography
 
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
@@ -27,9 +26,18 @@ BuildRequires:      python3-cryptography
 BuildRequires:      python3-pytest
 %endif
 
-%description
+%global _description\
 Implements JWK,JWS,JWE specifications using python-cryptography
 
+%description %_description
+
+%package -n python2-jwcrypto
+Summary: %summary
+Requires:       python2-cryptography
+%{?python_provide:%python_provide python2-jwcrypto}
+
+%description -n python2-jwcrypto %_description
+
 %if 0%{?with_python3}
 %package -n python3-jwcrypto
 Summary:            Implements JWK,JWS,JWE specifications using python3-cryptography
@@ -70,7 +78,7 @@ rm -rf %{buildroot}%{python3_sitelib}/%{module_name}/__pycache__/tests{,-cookboo
 %endif
 
  
-%files
+%files -n python2-jwcrypto
 %doc README.md
 %license LICENSE
 %{python_sitelib}/*
@@ -84,6 +92,10 @@ rm -rf %{buildroot}%{python3_sitelib}/%{module_name}/__pycache__/tests{,-cookboo
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-2
+- Python 2 subpackage renamed to python2-jwcrypto
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Mon Jul 24 2017 Christian Heimes <cheimes@redhat.com> - 0.4.1-1
 - Upstream release 0.4.1
 
diff --git python-kaa-base/python-kaa-base.spec python-kaa-base/python-kaa-base.spec.tmp
index b0ed800f5c..a3887b3107 100644
--- python-kaa-base/python-kaa-base.spec
+++ python-kaa-base/python-kaa-base.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-kaa-base
 Version:        0.6.0
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        The Kaa Media - base package for python
 
 Group:          Development/Languages
@@ -16,16 +16,24 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
   
 BuildRequires:  python-devel
 BuildRequires:  glib2-devel >= 2.6.0
-Requires: libxml2-python >= 2.6.0
 #Optional
 #Requires: python-lirc
 
-%description
-kaa.base is an LGPL-licensed generic application framework, providing the
-foundation for other modules within Kaa, and can be used in any type of project,
-from small event-driven tools, to larger, complex applications.
+%global _description\
+kaa.base is an LGPL-licensed generic application framework, providing the\
+foundation for other modules within Kaa, and can be used in any type of project,\
+from small event-driven tools, to larger, complex applications.\
+\
+
 
+%description %_description
 
+%package -n python2-kaa-base
+Summary: %summary
+Requires: libxml2-python >= 2.6.0
+%{?python_provide:%python_provide python2-kaa-base}
+
+%description -n python2-kaa-base %_description
 
 %prep
 %setup -q -n kaa-base-%{version}
@@ -58,13 +66,17 @@ done
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-kaa-base
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING README TODO
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-17
+- Python 2 subpackage renamed to python2-kaa-base
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kaa-display/python-kaa-display.spec python-kaa-display/python-kaa-display.spec.tmp
index e08feb97df..9d6d2fe90a 100644
--- python-kaa-display/python-kaa-display.spec
+++ python-kaa-display/python-kaa-display.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-kaa-display
 Version:        0.1.0
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        Python API providing Low level support for various displays
 
 Group:          Development/Languages
@@ -21,13 +21,21 @@ BuildRequires:  imlib2-devel >= 1.2.1
 BuildRequires:  SDL-devel >= 1.2.5
 BuildRequires:  libXcomposite-devel
 
-%description
-Low level support for various displays, such as X11 or
-framebuffer. Provides X11Display and X11Window classes for managing
-X11 windows, with optional support for Imlib2 (render Imlib2 images to
-X11 windows), and pygame (render Imlib2 images to pygame surfaces).
+%global _description\
+Low level support for various displays, such as X11 or\
+framebuffer. Provides X11Display and X11Window classes for managing\
+X11 windows, with optional support for Imlib2 (render Imlib2 images to\
+X11 windows), and pygame (render Imlib2 images to pygame surfaces).\
 
 
+%description %_description
+
+%package -n python2-kaa-display
+Summary: %summary
+%{?python_provide:%python_provide python2-kaa-display}
+
+%description -n python2-kaa-display %_description
+
 %prep
 %setup -q -n kaa-display-%{version}
 %patch0 -p1 -b .backport
@@ -53,13 +61,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-kaa-display
 %defattr(-,root,root,-)
 %doc AUTHORS ChangeLog COPYING README TODO
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-17
+- Python 2 subpackage renamed to python2-kaa-display
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kaa-imlib2/python-kaa-imlib2.spec python-kaa-imlib2/python-kaa-imlib2.spec.tmp
index 77dee28d63..6a61b87937 100644
--- python-kaa-imlib2/python-kaa-imlib2.spec
+++ python-kaa-imlib2/python-kaa-imlib2.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-kaa-imlib2
 Version:        0.2.3
-Release:        22%{?dist}
+Release:        23%{?dist}
 Summary:        The Kaa Media - imlib2 binding for python
 
 Group:          Development/Languages
@@ -17,27 +17,35 @@ BuildRequires:  python-devel
 BuildRequires:  python-kaa-base >= 0.4.0
 BuildRequires:  imlib2-devel >= 1.2.1
 BuildRequires:  libpng-devel
-Requires:  python-kaa-base >= 0.4.0
 
 
 
-%description
-The Kaa Media Repository is a set of python modules related to media.
+%global _description\
+The Kaa Media Repository is a set of python modules related to media.\
+\
+Kaa modules are based on parts from Freevo and modules created for MeBox.\
+Kaa exists to encourage code sharing between these projects, and to serve as\
+an umbrella for several previously disparate media-related modules in order\
+to make them available from one (unique) namespace. Kaa provides a base module\
+that implements the common features needed for application development, such as\
+mainloop management, timers, signals, callbacks, file descriptor monitors, etc.\
+Kaa's other modules provide specific media-related functionality, such as\
+retrieving metadata on arbitrary media files (kaa.metadata, previously\
+called mmpython), Python wrappers for Imlib2, Xine, and Evas, and many other\
+high level APIs for easily creating applications that deal with video and\
+audio.\
+\
+Kaa is named after the python in the Jungle Book by Rudyard Kipling.\
+
 
-Kaa modules are based on parts from Freevo and modules created for MeBox. 
-Kaa exists to encourage code sharing between these projects, and to serve as 
-an umbrella for several previously disparate media-related modules in order 
-to make them available from one (unique) namespace. Kaa provides a base module 
-that implements the common features needed for application development, such as
-mainloop management, timers, signals, callbacks, file descriptor monitors, etc.
-Kaa's other modules provide specific media-related functionality, such as 
-retrieving metadata on arbitrary media files (kaa.metadata, previously 
-called mmpython), Python wrappers for Imlib2, Xine, and Evas, and many other 
-high level APIs for easily creating applications that deal with video and
-audio.
+%description %_description
 
-Kaa is named after the python in the Jungle Book by Rudyard Kipling.
+%package -n python2-kaa-imlib2
+Summary: %summary
+Requires:  python-kaa-base >= 0.4.0
+%{?python_provide:%python_provide python2-kaa-imlib2}
 
+%description -n python2-kaa-imlib2 %_description
 
 %prep
 %setup -q -n kaa-imlib2-%{version}
@@ -68,13 +76,17 @@ find $RPM_BUILD_ROOT -name "*.py" |xargs chmod 0644
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-kaa-imlib2
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING NEWS README TODO
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.3-23
+- Python 2 subpackage renamed to python2-kaa-imlib2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-22
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kaa-metadata/python-kaa-metadata.spec python-kaa-metadata/python-kaa-metadata.spec.tmp
index 80c40b3dd7..b581aa3e50 100644
--- python-kaa-metadata/python-kaa-metadata.spec
+++ python-kaa-metadata/python-kaa-metadata.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-kaa-metadata
 Version:        0.7.7
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        The Kaa Media - metadata binding for python
 
 Group:          Development/Languages
@@ -16,29 +16,36 @@ BuildRequires:  python-kaa-base >= 0.4.0
 BuildRequires:  libdvdread-devel >= 0.9.5
 #Experimental
 #BuildRequires:  exiv2-devel
-Requires:  python-kaa-base >= 0.4.0
 
-Obsoletes: mmpython < 0.4.11
 
 
+%global _description\
+The Kaa Media Repository is a set of python modules related to media.\
+\
+Kaa modules are based on parts from Freevo and modules created for MeBox.\
+Kaa exists to encourage code sharing between these projects, and to serve as\
+an umbrella for several previously disparate media-related modules in order\
+to make them available from one (unique) namespace. Kaa provides a base module\
+that implements the common features needed for application development, such as\
+mainloop management, timers, signals, callbacks, file descriptor monitors, etc.\
+Kaa's other modules provide specific media-related functionality, such as\
+retrieving metadata on arbitrary media files (kaa.metadata, previously\
+called mmpython), Python wrappers for Imlib2, Xine, and Evas, and many other\
+high level APIs for easily creating applications that deal with video and\
+audio.\
+\
+Kaa is named after the python in the Jungle Book by Rudyard Kipling.\
 
-%description
-The Kaa Media Repository is a set of python modules related to media.
 
-Kaa modules are based on parts from Freevo and modules created for MeBox. 
-Kaa exists to encourage code sharing between these projects, and to serve as 
-an umbrella for several previously disparate media-related modules in order 
-to make them available from one (unique) namespace. Kaa provides a base module 
-that implements the common features needed for application development, such as
-mainloop management, timers, signals, callbacks, file descriptor monitors, etc.
-Kaa's other modules provide specific media-related functionality, such as 
-retrieving metadata on arbitrary media files (kaa.metadata, previously 
-called mmpython), Python wrappers for Imlib2, Xine, and Evas, and many other 
-high level APIs for easily creating applications that deal with video and 
-audio.
+%description %_description
 
-Kaa is named after the python in the Jungle Book by Rudyard Kipling.
+%package -n python2-kaa-metadata
+Summary: %summary
+Obsoletes: mmpython < 0.4.11
+Requires:  python-kaa-base >= 0.4.0
+%{?python_provide:%python_provide python2-kaa-metadata}
 
+%description -n python2-kaa-metadata %_description
 
 %prep
 %setup -q -n kaa-metadata-%{version}
@@ -64,7 +71,7 @@ sed -i -e 's|#!/usr/bin/env python|#|' $RPM_BUILD_ROOT%{python_sitearch}/kaa/met
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-kaa-metadata
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING NEWS README TODO
 %{_bindir}/mminfo
@@ -72,6 +79,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.7-16
+- Python 2 subpackage renamed to python2-kaa-metadata
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kafka/python-kafka.spec python-kafka/python-kafka.spec.tmp
index 6d64c250b0..077629092c 100644
--- python-kafka/python-kafka.spec
+++ python-kafka/python-kafka.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:             python-kafka
 Version:          1.3.1
-Release:          3%{?dist}
+Release:          4%{?dist}
 Summary:          Pure Python client for Apache Kafka
 
 License:          ASL 2.0
@@ -18,13 +18,20 @@ BuildRequires:    python2-devel
 BuildRequires:    python-pbr
 BuildRequires:    python-sphinx
 
+%global _description\
+This module provides low-level protocol support for Apache Kafka as well as high-level\
+consumer and producer classes. Request batching is supported by the protocol as well as\
+broker-aware request routing. Gzip and Snappy compression is also supported for message\
+sets.
+
+%description %_description
+
+%package -n python2-kafka
+Summary: %summary
 Requires: python-six
+%{?python_provide:%python_provide python2-kafka}
 
-%description
-This module provides low-level protocol support for Apache Kafka as well as high-level
-consumer and producer classes. Request batching is supported by the protocol as well as
-broker-aware request routing. Gzip and Snappy compression is also supported for message
-sets.
+%description -n python2-kafka %_description
 
 %if 0%{?with_python3}
 %package -n python3-kafka
@@ -80,7 +87,7 @@ pushd python2
 popd
 
 
-%files
+%files -n python2-kafka
 %doc README.rst
 %{python2_sitelib}/kafka
 %{python2_sitelib}/*.egg-info
@@ -94,6 +101,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.1-4
+- Python 2 subpackage renamed to python2-kafka
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kazoo/python-kazoo.spec python-kazoo/python-kazoo.spec.tmp
index 1b61fa1954..d3c83f87f3 100644
--- python-kazoo/python-kazoo.spec
+++ python-kazoo/python-kazoo.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:           python-%{pypi_name}
 Version:        2.2.1
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Higher level Python Zookeeper client
 
 License:        ASL 2.0
@@ -26,10 +26,18 @@ BuildRequires:  python-setuptools
 # For building documentation
 BuildRequires:  python-sphinx
 
-%description
-Kazoo is a Python library designed to make working with Zookeeper a more
+%global _description\
+Kazoo is a Python library designed to make working with Zookeeper a more\
 hassle-free experience that is less prone to errors.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Higher level Python Zookeeper client
@@ -99,7 +107,7 @@ popd
 rm -fr %{buildroot}%{python2_sitelib}/%{pypi_name}/tests/
 rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst LICENSE
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -116,6 +124,10 @@ rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.1-6
+- Python 2 subpackage renamed to python2-kazoo
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-keyczar/python-keyczar.spec python-keyczar/python-keyczar.spec.tmp
index dee6cb63bf..d1cb02e504 100644
--- python-keyczar/python-keyczar.spec
+++ python-keyczar/python-keyczar.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-keyczar
 Version:        0.71c
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Toolkit for safe and simple cryptography
 
 Group:          Development/Languages
@@ -14,14 +14,21 @@ BuildRequires:  python2-devel
 BuildRequires:  python-crypto
 BuildRequires:  python-pyasn1
 
-Requires:       python-crypto
-Requires:       python-pyasn1
+%global _description\
+Keyczar is an open source cryptographic toolkit designed to make it easier and\
+safer for developers to use cryptography in their applications. Keyczar\
+supports authentication and encryption with both symmetric and asymmetric keys.\
 
-%description
-Keyczar is an open source cryptographic toolkit designed to make it easier and
-safer for developers to use cryptography in their applications. Keyczar
-supports authentication and encryption with both symmetric and asymmetric keys.
 
+%description %_description
+
+%package -n python2-keyczar
+Summary: %summary
+Requires:       python-pyasn1
+Requires:       python-crypto
+%{?python_provide:%python_provide python2-keyczar}
+
+%description -n python2-keyczar %_description
 
 %prep
 %setup -q
@@ -37,12 +44,16 @@ PYTHONPATH=$PYTHONPATH:../../src/ ./alltests.py
 %install
 %{__python} setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}
 
-%files
+%files -n python2-keyczar
 %doc README LICENSE doc/pycrypt.pdf
 %{python_sitelib}/keyczar/
 %{python_sitelib}/python_keyczar-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.71c-10
+- Python 2 subpackage renamed to python2-keyczar
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71c-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-keystoneclient-kerberos/python-keystoneclient-kerberos.spec python-keystoneclient-kerberos/python-keystoneclient-kerberos.spec.tmp
index 99c0d74b0b..ffadc10f2d 100644
--- python-keystoneclient-kerberos/python-keystoneclient-kerberos.spec
+++ python-keystoneclient-kerberos/python-keystoneclient-kerberos.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-keystoneclient-kerberos
 Version:        0.3.0
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Kerberos authentication for the OpenStack clients
 
 License:        ASL 2.0
@@ -17,10 +17,6 @@ Source0:        http://tarballs.openstack.org/python-keystoneclient-kerberos/pyt
 
 BuildArch:      noarch
 
-Requires:       python-keystoneauth1 >= 2.1.0
-Requires:       python-requests-kerberos >= 0.6
-Requires:       python-pbr
-
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
@@ -36,9 +32,20 @@ BuildRequires:  python-testtools
 BuildRequires:  python-testscenarios
 
 
-%description
-Kerberos authentication for the OpenStack clients.
+%global _description\
+Kerberos authentication for the OpenStack clients.\
+
 
+%description %_description
+
+%package -n python2-keystoneclient-kerberos
+Summary: %summary
+Requires:       python-pbr
+Requires:       python-requests-kerberos >= 0.6
+Requires:       python-keystoneauth1 >= 2.1.0
+%{?python_provide:%python_provide python2-keystoneclient-kerberos}
+
+%description -n python2-keystoneclient-kerberos %_description
 
 %prep
 %setup -q -n python-keystoneclient-kerberos-%{version}
@@ -57,7 +64,7 @@ rm -rf $RPM_BUILD_ROOT
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-keystoneclient-kerberos
 %doc AUTHORS CONTRIBUTING.rst ChangeLog README.rst
 %license LICENSE
 %{python2_sitelib}/keystoneclient_kerberos
@@ -65,6 +72,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-5
+- Python 2 subpackage renamed to python2-keystoneclient-kerberos
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kgb/python-kgb.spec python-kgb/python-kgb.spec.tmp
index d101b9c33e..ce7d437dcc 100644
--- python-kgb/python-kgb.spec
+++ python-kgb/python-kgb.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{packagename}
 Version:        0.5.1
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Utilities for spying on function calls in unit tests
 
 License:        MIT
@@ -14,12 +14,20 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-Spies intercept and record calls to functions. They can report on how many
-times a function was called and with what arguments. They can allow the
-function call to go through as normal, to block it, or to reroute it to another
+%global _description\
+Spies intercept and record calls to functions. They can report on how many\
+times a function was called and with what arguments. They can allow the\
+function call to go through as normal, to block it, or to reroute it to another\
 function.
 
+%description %_description
+
+%package -n python2-%{packagename}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{packagename}}
+
+%description -n python2-%{packagename} %_description
+
 %prep
 %setup -q -n %{packagename}-%{version}
 rm -Rf kgb*.egg-info
@@ -35,12 +43,16 @@ rm -Rf kgb*.egg-info
 %check
 %{__python2} setup.py test -s kgb.tests
  
-%files
+%files -n python2-%{packagename}
 %doc AUTHORS NEWS README.md
 %{python2_sitelib}/kgb*.egg-info/
 %{python2_sitelib}/kgb/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-7
+- Python 2 subpackage renamed to python2-kgb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kid/python-kid.spec python-kid/python-kid.spec.tmp
index b2697e4626..ad64cb4849 100644
--- python-kid/python-kid.spec
+++ python-kid/python-kid.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-kid
 Version:        0.9.6
-Release:        19%{?dist}
+Release:        20%{?dist}
 Summary:        Kid - A simple and pythonic XML template language
 
 Group:          Applications/Publishing
@@ -21,12 +21,20 @@ BuildRequires:  python-setuptools
 BuildRequires:  python-docutils
 
 
-%description
-Kid is a simple Python based template language for generating and
-transforming XML vocabularies. Templates are compiled to native Python 
-byte-code and may be imported and used like normal Python modules.
+%global _description\
+Kid is a simple Python based template language for generating and\
+transforming XML vocabularies. Templates are compiled to native Python\
+byte-code and may be imported and used like normal Python modules.\
 
 
+%description %_description
+
+%package -n python2-kid
+Summary: %summary
+%{?python_provide:%python_provide python2-kid}
+
+%description -n python2-kid %_description
+
 %prep
 %setup -q -n kid-%{version}
 %patch0 -p1 -b .escape-gt
@@ -57,7 +65,7 @@ ln -s ../..%{python_sitelib}/kid/compile.py $RPM_BUILD_ROOT%{_bindir}/kidc
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-kid
 %defattr(-,root,root,-)
 %doc COPYING HISTORY README doc/*.txt doc/*.css doc/*.html test
 %{python_sitelib}/kid*
@@ -65,6 +73,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.6-20
+- Python 2 subpackage renamed to python2-kid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kiwi/python-kiwi.spec python-kiwi/python-kiwi.spec.tmp
index e8b2f5bf49..ba089b2662 100644
--- python-kiwi/python-kiwi.spec
+++ python-kiwi/python-kiwi.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-kiwi
 Version:        1.9.38
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Framework for Python GUI applications
 
 Group:          Development/Libraries
@@ -13,16 +13,24 @@ Source0:        https://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-
 
 BuildRequires:  python2-devel, pygtk2-devel >= 2.8, gettext, pkgconfig
 BuildRequires:  python-setuptools
-Requires:       pygtk2 >= 2.8
 
 
-%description
-Kiwi consists of a set of classes and wrappers for PyGTK that were 
-developed to provide a sort of framework for applications. Fully 
-object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple, 
-practical way to build forms, windows and widgets that transparently 
-access and display your object data.
+%global _description\
+Kiwi consists of a set of classes and wrappers for PyGTK that were\
+developed to provide a sort of framework for applications. Fully\
+object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple,\
+practical way to build forms, windows and widgets that transparently\
+access and display your object data.\
+
+
+%description %_description
 
+%package -n python2-kiwi
+Summary: %summary
+Requires:       pygtk2 >= 2.8
+%{?python_provide:%python_provide python2-kiwi}
+
+%description -n python2-kiwi %_description
 
 %package glade
 Group:          Development/Libraries
@@ -62,7 +70,7 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
 %{find_lang} kiwi
 
 
-%files -f kiwi.lang
+%files -n python2-kiwi -f kiwi.lang
 %doc AUTHORS COPYING README
 %{_bindir}/*
 %{python_sitelib}/kiwi
@@ -78,6 +86,10 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.38-10
+- Python 2 subpackage renamed to python2-kiwi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.38-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
